Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class TxInterceptorBMT.UserTxFactory

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.TxInterceptorBMT.UserTxFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

Enclosing class:
  TxInterceptorBMT

public static class TxInterceptorBMT.UserTxFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Constructor Summary
`TxInterceptorBMT.UserTxFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object ref, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TxInterceptorBMT.UserTxFactory

    public TxInterceptorBMT.UserTxFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object ref,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.